<?php

if(!$menu['mod_users']['admin'])
	$menu['mod_users']['admin'] = array();

$reports_array = array(
						'mod_users/UsrAdvancedReport.php'=>_('Advanced Report'),
						'mod_users/UsrClassifcnReport.php'=>_('User Analytical Report'),
						'mod_users/UsrLetterWorkspace.php'=>_('Send Email')
);

$teacher_func_array = array(
						'mod_users/TeacherWorkspace.php?include=mod_attendance/AttdMarkVisitation.php'=>_('Take Attendance'),
						'mod_users/TeacherWorkspace.php?include=mod_evaluation/SuitPostingIntrProgress.php'=>_('Fill Eligibility Form'),
						'mod_users/TeacherWorkspace.php?include=mod_grades/GrdBookEnterFinalGrades.php'=>_('Post Final Grades'),
						'mod_users/TeacherWorkspace.php?include=mod_grades/GrdBookConfiguration.php'=>_('Gradebook Configuration'),
						'mod_users/TeacherWorkspace.php?include=mod_grades/GrdBookAssignments.php'=>_('Gradebook Assignments'),
						'mod_users/TeacherWorkspace.php?include=mod_grades/Grades.php'=>_('Gradebook Grades')
);

$menu['mod_users']['admin'] += array(
						'mod_users/Users.php'=>_('User Info'),
						'mod_users/UsrMyInfo.php'=>_('My Info'),
						'mod_users/AddUser.php'=>_('Add a User'),
						'mod_users/UsrGroupAssignInfo.php'=>_('Mass Assign User Info'),
						'mod_users/UsrPrefnProper.php'=>_('My Preferences'),
						_('User_Reports &#8658;')=>$reports_array,
						_('Teacher_Functions &#8658;')=>$teacher_func_array,
						3=>_('Setup'),
						'mod_users/UsrProfile.php'=>_('Profiles Settings'),
						'mod_users/UsrPermissions.php'=>_('User Permissions'),
//						'mod_users/JoinStud.php'=>_('Associate Students with Parents'),
						'mod_users/JoinStud.php'=>_('Assign Parents to Students'),
						'mod_users/UsrFieldsProperties.php'=>_('User Info Fields'),
						'mod_users/UsrUpload.php'=>_('User Upload')
                        //'mod_users/UsrFieldsProperties.php'=>_(' My Webmail')
//$menu['mod_users']['admin'] += array($uri=>_('My Webmail'));
                         

					);


$menu['mod_users']['admin'] += array($uri=>_('My Webmail'));

$menu['My_Info']['teacher'] = array(
						'mod_users/Users.php'=>_('My Profile'),
						'mod_users/UsrPrefnProper.php'=>_('Preferences')
					);

$menu['My_Info']['parent'] = array(
						'mod_users/Users.php'=>_('My Profile'),
						'mod_users/UsrPrefnProper.php'=>_('Preferences')
					);
if($_SESSION['ADDRESS_ID'])
	unset($menu['My_Info']['parent']['mod_users/Users.php']);

if(!$menu['My_Info']['student'])
	$menu['My_Info']['student'] = array();

if(!$menu['My_Info']['applicant'])
	$menu['My_Info']['applicant'] = array();

$menu['My_Info']['student'] += array(
						'mod_users/UsrPrefnProper.php'=>_('Preferences')

					);
$menu['My_Info']['student'] += array($uri=>_('My Webmail'));

$menu['My_Info']['applicant'] += array(
						'mod_users/UsrPrefnProper.php'=>_('Preferences')
					);

$exceptions['mod_users'] = array(
						'mod_users/Users.php?user_id=new'=>true,
						'mod_users/UsrPermissions.php'=>true,
						'mod_users/TeacherWorkspace.php?include=mod_grades/GrdBookEnterFinalGrades.php'=>true,
						'mod_users/TeacherWorkspace.php?include=mod_attendance/AttdMarkVisitation.php'=>true,
						'mod_users/TeacherWorkspace.php?include=mod_activity/ActPostingProgress.php'=>true
					);

//$menu['Users']['icon'] = $menu['My_Info']['icon'] = 'modules/mod_users/Users.png';
$menu['mod_users']['icon'] = $menu['My_Info']['icon'] = 'modules/mod_users/Users.png';
?>
